Page MenuHomePhabricator

Please set up the Flow extension on the Konkani Wikipedia (gom)
Closed, ResolvedPublic

Description

Please enable and set up the flow extension on the Goan Konkani Wikipedia (gom) and convert all the talk and discussion pages to Flow format.

Please see local consensus here.

Event Timeline

Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.
For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptFeb 29 2016, 11:17 AM

Have you checked if all translations are ready? Do you want to have a Flow board for a trial and check translations first? If yes, give me a page where I can enable Flow.

The_Discoverer added a comment.EditedFeb 29 2016, 5:16 PM

Hi @Trizek-WMF, we can have a trial page if you want or if the process demands, but I had posted links to a Flow-enabled page in the English Wikipedia and to the Wikimedia Sandbox in my proposal, so people have got the idea of what it is, so I don't think it is necessary.

Regarding the translations at Translatewiki, they are at 26% for Flow in gom-latn. We can try to have a translation sprint, but I was thinking that once Flow is enabled and people see that translations are missing, the translations will happen. In any case, the users are bilingual with English, so it shouldn't be a problem.

We are going to work on that deployment soon. We discuss about that yesterday, and it needs some work to be done.

Thanks, Trizek. In the meantime, we will try to do some translations.

Trizek-WMF removed Trizek-WMF as the assignee of this task.Mar 1 2016, 3:46 PM

Change 277697 had a related patch set uploaded (by Catrope):
Enable Flow by default in all talk namespaces on gomwiki

https://gerrit.wikimedia.org/r/277697

Deployment is scheduled for today.

Thanks Trizek and Catrope.
Will all the talk and discussion pages be converted to flow or just be archived?
There's no problem if you just archive them, because there aren't many active discussions. However, on the community page https://gom.wikipedia.org/wiki/Wikipedia:समाजाचे मुखेल पान , there are several open discussions. If you could convert just the topics on this page beginning from February 2016 into Flow, that would be great!

Deployment is scheduled for today.

Yes! I wrote an update for this task but forgot to press "Submit". Deployment is scheduled for 23:00 UTC today (March 16).

Thanks Trizek and Catrope.
Will all the talk and discussion pages be converted to flow or just be archived?
There's no problem if you just archive them, because there aren't many active discussions. However, on the community page https://gom.wikipedia.org/wiki/Wikipedia:समाजाचे मुखेल पान , there are several open discussions. If you could convert just the topics on this page beginning from February 2016 into Flow, that would be great!

We can't convert existing wikitext discussions to Flow. What this change will do is make it so that any new talk pages will be Flow, while existing talk pages will be wikitext. If you like, you can archive most/all wikitext talk pages and replace them with Flow; I can help with that too. Let me know what you want me to do.

Hello @Catrope, you can replace all existing talk & discussion pages by Flow pages, we have consensus for that here.

  • There hasn't been much discussion on any user talk pages recently (say in the last 3 months), what little discussions have happened are not active anymore.
  • There is almost no discussion existing on any article talk page, right from the beginning.
  • Among project talk pages, there has been significant amount of discussion on our main community discussion page, and some of those discussions are still ongoing. This is one of the pages that we really want to have in Flow format, because most of our members have difficulty with the syntax and style for indentation, etc. How best do you think we can manage the transition for this page? Is it possible, just for the last few discussions, to copy-paste the wikitext under separate flow topics?

One more thing.. there is a new user welcome message bot (or something like that) on the wiki; do you have to turn that off?

Hello @Catrope, you can replace all existing talk & discussion pages by Flow pages, we have consensus for that here.

  • There hasn't been much discussion on any user talk pages recently (say in the last 3 months), what little discussions have happened are not active anymore.
  • There is almost no discussion existing on any article talk page, right from the beginning.

OK, so we can work on archiving all of these.

  • Among project talk pages, there has been significant amount of discussion on our main community discussion page, and some of those discussions are still ongoing. This is one of the pages that we really want to have in Flow format, because most of our members have difficulty with the syntax and style for indentation, etc. How best do you think we can manage the transition for this page? Is it possible, just for the last few discussions, to copy-paste the wikitext under separate flow topics?

Sure, we can archive that page and copy stuff over manually.

I'll enable the namespace occupation (i.e. new pages are Flow by default) later today. Then perhaps we can schedule a time later this week when we'll both be on IRC and work on the archiving and the community discussion page migration?

One more thing.. there is a new user welcome message bot (or something like that) on the wiki; do you have to turn that off?

It depends on the welcome bot. If it supports Flow, it'll continue working, otherwise it'll stop working.

Change 277697 merged by jenkins-bot:
Enable Flow by default in all talk namespaces on gomwiki

https://gerrit.wikimedia.org/r/277697

Flow is now the default for newly created talk pages.

@The_Discoverer : Let's find a time to work on archiving talk pages? I can do most of it myself, but I'd like someone who knows the wiki to be there to catch any mistakes.

Thanks Catrope. I'll be available from 13:30 UTC onwards today until around 18:00 UTC.

Sure, we can archive that page and copy stuff over manually.

You could get started on the main community page yourself if you want to. We need to copy the topics beginning with the section "The visual editor is coming to this wiki", because these are the discussions that can be considered to be open at present.

Sorry, I ended up being busy and not seeing your message until late in the day. I'll take a stab this evening or tomorrow at archiving inactive pages.

No problem, Catroupe. Try pinging me if you want me on IRC, and if possible, I'll join. The most likely time-slot that I'll be available is 13:30 UTC to 18:00 UTC.

@The_Discoverer I'm on line now, and will be until at least 21:00 UTC. When you have time, ping me in #wikimedia-collaboration. My nick is RoanKattouw.

Catrope closed this task as Resolved.Mar 18 2016, 7:30 PM

This is done now. Thanks a lot to @The_Discoverer for spending a few hours talking me through things on IRC.

Feel free to comment/reopen if anything is wrong.

Thanks a lot @Catrope for your efforts! Cheers :)